> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Transactions

> This endpoint returns a list of all the accounts associated with the specified `user`.

This endpoint allows you to see every `transaction` that belongs to a specific `account`.

The `from_date` and `to_date` parameters can optionally be appended to the request if transactions in a specific date range are required.

<ParamField path="from_date" type="string">
  Return transactions occurring within a date range starting on this day. If not set, this defaults to 90 days prior to the day of the request. Must be in ISO 8601 format without a time component.
</ParamField>

<ParamField path="to_date" type="string">
  Return transactions occurring in a date range ending on this day. If not set, this defaults to 5 days forward from the day of the request so as to capture pending transactions. Must be in ISO 8601 format without a time component.
</ParamField>

<RequestExample>
  ```shell Request theme={null}
  curl -i 'https://vestibule.mx.com/users/{user_guid}/accounts/{account_guid}/transactions' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "transactions": [
      {
        "account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
        "amount": 61.11,
        "category": "Groceries",
        "check_number": 15234,
        "check_number_string": "00015234",
        "created_at": "2016-10-06T09:43:42+00:00",
        "currency_code": "USD",
        "date": "2013-09-23",
        "description": "Whole Foods",
        "guid": "TRN-265abee9-889b-af6a-c69b-25157db2bdd9",
        "is_bill_pay": false,
        "is_direct_deposit": false,
        "is_expense": true,
        "is_fee": false,
        "is_income": false,
        "is_international": false,
        "is_overdraft_fee": false,
        "is_payroll_advance": false,
        "latitude": -43.2075,
        "longitude": 139.691706,
        "member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
        "memo": null,
        "merchant_category_code": 5411,
        "merchant_guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
        "original_description": "WHOLEFDS TSQ 102",
        "posted_at": "2016-10-07T06:00:00+00:00",
        "status": "POSTED",
        "top_level_category": "Food & Dining",
        "transacted_at": "2016-10-06T13:00:00+00:00",
        "type": "DEBIT",
        "updated_at": "2016-10-07T05:49:12+00:00",
        "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
      },
      {
        "account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
        "amount": 23.4,
        "category": "Books",
        "check_number": 15234,
        "check_number_string": "00015234",
        "created_at": "2016-08-26T09:43:42+00:00",
        "currency_code": "USD",
        "date": "2013-09-23",
        "description": "Audible",
        "guid": "TRN-265abee9-889b-af6a-c69b-25157db2bdd9",
        "is_bill_pay": false,
        "is_direct_deposit": false,
        "is_expense": true,
        "is_fee": false,
        "is_income": false,
        "is_international": false,
        "is_overdraft_fee": false,
        "is_payroll_advance": false,
        "latitude": -43.2075,
        "longitude": 139.691706,
        "member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
        "memo": null,
        "merchant_category_code": 5411,
        "merchant_guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
        "original_description": "AUDIBLEBKS",
        "posted_at": "2016-08-27T06:00:00+00:00",
        "status": "POSTED",
        "top_level_category": "Entertainment",
        "transacted_at": "2016-08-26T13:00:00+00:00",
        "type": "DEBIT",
        "updated_at": "2016-08-27T05:49:12+00:00",
        "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 25,
      "total_entries": 2,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>
